## ZpjGoaAuthorizer ZpjGoaAuthorizer — A GNOME Online Accounts authorizer object for Windows Live Connect. |

## Functions

ZpjGoaAuthorizer * | zpj_goa_authorizer_new ()
GoaObject * | zpj_goa_authorizer_get_goa_object ()

## Properties

GoaObject * | goa-object | Read / Write / Construct Only

## Types and Values

struct | ZpjGoaAuthorizer
struct | ZpjGoaAuthorizerClass

## Object Hierarchy

        GObject
        ╰── ZpjGoaAuthorizer

## Implemented Interfaces

ZpjGoaAuthorizer implements

## Includes

    #include <zpj/zpj.h>

## Description

ZpjGoaAuthorizer provides an implementation of the ZpjAuthorizer interface using GNOME Online Accounts.

## Functions

### zpj_goa_authorizer_new ()

    ZpjGoaAuthorizer *
    zpj_goa_authorizer_new (GoaObject *goa_object);

Creates a new ZpjGoaAuthorizer using `goa_object` .

#### Parameters

goa_object | A GoaObject representing a Windows Live account. |

#### Returns

A new ZpjGoaAuthorizer. Free the returned object with `g_object_unref()`.

[transfer full]

### zpj_goa_authorizer_get_goa_object ()

    GoaObject *
    zpj_goa_authorizer_get_goa_object (ZpjGoaAuthorizer *self);

Gets the GOA account used by `self` for authorization.

#### Parameters

self | A ZpjGoaAuthorizer. |

#### Returns

A GoaObject. The returned object is owned by ZpjGoaAuthorizer and should not be modified or freed.

[transfer none]

## Types and Values

### struct ZpjGoaAuthorizer

    struct ZpjGoaAuthorizer;

The ZpjGoaAuthorizer structure contains only private data and should only be accessed using the provided API.

### struct ZpjGoaAuthorizerClass

    struct ZpjGoaAuthorizerClass {
      GObjectClass parent_class;
    };

Class structure for ZpjGoaAuthorizer.

#### Members

## Property Details

### The `“goa-object”` property

      “goa-object”               GoaObject *

The GOA account to authenticate.

Owner: ZpjGoaAuthorizer

Flags: Read / Write / Construct Only